Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596615 - tab completion does not work in grub shell in rescue mode or a console in booted system
tab completion does not work in grub shell in rescue mode or a console in boo...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: grub (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Peter Jones
Release Test Team
:
Depends On: 506449
Blocks: 647893
  Show dependency treegraph
 
Reported: 2010-05-27 02:53 EDT by Daniel Mach
Modified: 2010-11-18 17:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 506449
Environment:
Last Closed: 2010-11-18 17:14:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2010-05-27 02:53:08 EDT
+++ This bug was initially created as a clone of Bug #506449 +++

Description of problem:
Boot into rescue mode or boot up a full Fedora 11 session, type 'grub' to enter grub shell. Enter usual commands, press tab for completion, cursor just moves to the right

From a grub command line at boot (press 'c') tab completion works ok.


Version-Release number of selected component (if applicable):
grub-0.97-50.fc11.x86_64



How reproducible:
Always


Steps to Reproduce:
1. Boot into rescue mode, or open a terminal in a full session
2. type 'grub' (as root) to enter grub shell
3. enter partial commands, eg 'root (', then press tab to complete.
  
Actual results:
No completion, tab just moves cursor to the right


Expected results:
commands should be expanded according to tab completion rules

Additional info:
Works ok from a grub command line at boot

--- Additional comment from dmach@redhat.com on 2009-12-10 07:39:01 EST ---

It's exactly the same on F12.

--- Additional comment from jbgallagher2000@yahoo.co.uk on 2009-12-11 06:04:18 EST ---

the problem seems to be that the ncurses lib isn't linked in to the static /sbin/bin binary, you can fix it by rebuilding with ncurses-devel installed.

Any reason why it's not linked in?

--- Additional comment from jbgallagher2000@yahoo.co.uk on 2009-12-11 06:04:51 EST ---

sorry that's /sbin/grub binary

--- Additional comment from fedora-triage-list@redhat.com on 2010-04-27 11:01:17 EDT ---


This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from dmach@redhat.com on 2010-04-28 07:31:51 EDT ---

Moving to F12 to prevent automatic closing as wontfix.

--- Additional comment from kakashizilla@gmail.com on 2010-05-26 11:25:43 EDT ---

This bug is also in Fedora 13.
It is very annoying when you need to use the grub shell to repair a system.
Comment 1 Daniel Mach 2010-05-27 02:54:04 EDT
Grub auto completion doesn't work in RHEL6 as well.
Comment 2 RHEL Product and Program Management 2010-05-27 03:05:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 RHEL Product and Program Management 2010-05-27 03:07:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 RHEL Product and Program Management 2010-05-27 03:10:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 David Cantrell 2010-11-18 16:57:45 EST
If a patch shows up for this issue on the Fedora side (bug #506449), we'll consider a backport for a future release.
Comment 7 RHEL Product and Program Management 2010-11-18 17:14:52 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.